
// ===========================
// Planning/Zoning Facts Basic
// ===========================

$(document).ready(function () {

    var $application = $("#APPLICATION_MNEMONIC").val(), $sessionStorage = JSON.parse(sessionStorage.getItem($application) || "{}");

    // -------------
    // Cancel Button
    // -------------

    $(".btnDone").on("click", function () {

        $sessionStorage = clearSubscriptionSessionVariableFilters($sessionStorage);
        $sessionStorage.action = "";

        sessionStorage.setItem($application, JSON.stringify($sessionStorage));

        formSubmit($sessionStorage);

    });

    // ------------------------
    // Run Business Facts Basic
    // ------------------------

    $("[data-week-start][data-week-end]").on("click", function () {

        $sessionStorage.action = "PlanningAndZoningFacts.planningAndZoningFactsBasic";
        $sessionStorage.step = "results";

        $sessionStorage.week_start = $(this).data("week-start");
        $sessionStorage.week_end = $(this).data("week-end");

        sessionStorage.setItem($application, JSON.stringify($sessionStorage));

        formSubmit($sessionStorage);
    });


});